Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface FieldElement.Impl

All Superinterfaces:
  Element.Impl, MemberElement.Impl, Serializable

Enclosing class:
  FieldElement

    public static interface FieldElement.Impl

extends MemberElement.Impl

Implementation of a field element.

See Also:
  `FieldElement`

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`String` | `getInitValue()` Get the initial value of the field.
`JavaDoc.Field` | `getJavaDoc()` Get the JavaDoc for the field.
`Type` | `getType()` Get the value type of the field.
`void` | `setInitValue(String value)` Set the initial value of the field.
`void` | `setType(Type type)` Set the value type of the field.

Methods inherited from interface org.openide.src.MemberElement.Impl
`getModifiers, getName, setModifiers, setName`

Methods inherited from interface org.openide.src.Element.Impl
`addPropertyChangeListener, attachedToElement, getCookie, markCurrent, readResolve, removePropertyChangeListener`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### getType

    Type getType()

  Get the value type of the field.

  Returns:
    the type

### setType

    void setType(Type type)
                 throws SourceException

  Set the value type of the field.

  Parameters:
    `type` - the type
  Throws:
    `SourceException` - if impossible

### getInitValue

    String getInitValue()

  Get the initial value of the field.

  Returns:
    the initial value (as source text), or an empty string if uninitialized

### setInitValue

    void setInitValue(String value)
                      throws SourceException

  Set the initial value of the field.

  Parameters:
    `value` - the initial value (as source text), or an empty string if uninitialized
  Throws:
    `SourceException` - if impossible

### getJavaDoc

    JavaDoc.Field getJavaDoc()

  Get the JavaDoc for the field.

  Returns:
    the JavaDoc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.